## Horizon ordering

library(ggplot2)
library(dplyr)

Order <- read.csv("//Aa.ad.epa.gov/ord/CIN/Users/main/A-E/dherrman/Net MyDocuments/_MovedData/R Project Directory/MultiCity Soil/Horizon_order.csv")

Urban.Order <- filter(Order, Type=="Urban")
Reference.Order <- filter(Order, Type=="Reference")

##
Atlanta.Urban.Order <- filter(Urban.Order, City_Name=="Atlanta")
Count <- tapply(Atlanta.Urban.Order$City_Name, Atlanta.Urban.Order$Sequence_EndC, FUN=length)
Atlanta.Urban.Order.Summ <- as.data.frame(Count)
Atlanta.Urban.Order.Summ$City_Name <- "Atlanta"
Atlanta.Urban.Order.Summ <- cbind(Sequence = rownames(Atlanta.Urban.Order.Summ), Atlanta.Urban.Order.Summ)
Atlanta.Urban.Order.Summ$Count[is.na(Atlanta.Urban.Order.Summ$Count)] <- 0
Atlanta.Urban.Order.Summ$Frequency <- Atlanta.Urban.Order.Summ$Count/sum(Atlanta.Urban.Order.Summ$Count)

Camden.Urban.Order <- filter(Urban.Order, City_Name=="Camden")
Count <- tapply(Camden.Urban.Order$City_Name, Camden.Urban.Order$Sequence_EndC, FUN=length)
Camden.Urban.Order.Summ <- as.data.frame(Count)
Camden.Urban.Order.Summ$City_Name <- "Camden"
Camden.Urban.Order.Summ <- cbind(Sequence = rownames(Camden.Urban.Order.Summ), Camden.Urban.Order.Summ)
Camden.Urban.Order.Summ$Count[is.na(Camden.Urban.Order.Summ$Count)] <- 0
Camden.Urban.Order.Summ$Frequency <- Camden.Urban.Order.Summ$Count/sum(Camden.Urban.Order.Summ$Count)

Cincinnati.Urban.Order <- filter(Urban.Order, City_Name=="Cincinnati")
Count <- tapply(Cincinnati.Urban.Order$City_Name, Cincinnati.Urban.Order$Sequence_EndC, FUN=length)
Cincinnati.Urban.Order.Summ <- as.data.frame(Count)
Cincinnati.Urban.Order.Summ$City_Name <- "Cincinnati"
Cincinnati.Urban.Order.Summ <- cbind(Sequence = rownames(Cincinnati.Urban.Order.Summ), Cincinnati.Urban.Order.Summ)
Cincinnati.Urban.Order.Summ$Count[is.na(Cincinnati.Urban.Order.Summ$Count)] <- 0
Cincinnati.Urban.Order.Summ$Frequency <- Cincinnati.Urban.Order.Summ$Count/sum(Cincinnati.Urban.Order.Summ$Count)

Cleveland.Urban.Order <- filter(Urban.Order, City_Name=="Cleveland")
Count <- tapply(Cleveland.Urban.Order$City_Name, Cleveland.Urban.Order$Sequence_EndC, FUN=length)
Cleveland.Urban.Order.Summ <- as.data.frame(Count)
Cleveland.Urban.Order.Summ$City_Name <- "Cleveland"
Cleveland.Urban.Order.Summ <- cbind(Sequence = rownames(Cleveland.Urban.Order.Summ), Cleveland.Urban.Order.Summ)
Cleveland.Urban.Order.Summ$Count[is.na(Cleveland.Urban.Order.Summ$Count)] <- 0
Cleveland.Urban.Order.Summ$Frequency <- Cleveland.Urban.Order.Summ$Count/sum(Cleveland.Urban.Order.Summ$Count)

Detroit.Urban.Order <- filter(Urban.Order, City_Name=="Detroit")
Count <- tapply(Detroit.Urban.Order$City_Name, Detroit.Urban.Order$Sequence_EndC, FUN=length)
Detroit.Urban.Order.Summ <- as.data.frame(Count)
Detroit.Urban.Order.Summ$City_Name <- "Detroit"
Detroit.Urban.Order.Summ <- cbind(Sequence = rownames(Detroit.Urban.Order.Summ), Detroit.Urban.Order.Summ)
Detroit.Urban.Order.Summ$Count[is.na(Detroit.Urban.Order.Summ$Count)] <- 0
Detroit.Urban.Order.Summ$Frequency <- Detroit.Urban.Order.Summ$Count/sum(Detroit.Urban.Order.Summ$Count)

NewOrleans.Urban.Order <- filter(Urban.Order, City_Name=="New Orleans")
Count <- tapply(NewOrleans.Urban.Order$City_Name, NewOrleans.Urban.Order$Sequence_EndC, FUN=length)
NewOrleans.Urban.Order.Summ <- as.data.frame(Count)
NewOrleans.Urban.Order.Summ$City_Name <- "New Orleans"
NewOrleans.Urban.Order.Summ <- cbind(Sequence = rownames(NewOrleans.Urban.Order.Summ), NewOrleans.Urban.Order.Summ)
NewOrleans.Urban.Order.Summ$Count[is.na(NewOrleans.Urban.Order.Summ$Count)] <- 0
NewOrleans.Urban.Order.Summ$Frequency <- NewOrleans.Urban.Order.Summ$Count/sum(NewOrleans.Urban.Order.Summ$Count)

Omaha.Urban.Order <- filter(Urban.Order, City_Name=="Omaha")
Count <- tapply(Omaha.Urban.Order$City_Name, Omaha.Urban.Order$Sequence_EndC, FUN=length)
Omaha.Urban.Order.Summ <- as.data.frame(Count)
Omaha.Urban.Order.Summ$City_Name <- "Omaha"
Omaha.Urban.Order.Summ <- cbind(Sequence = rownames(Omaha.Urban.Order.Summ), Omaha.Urban.Order.Summ)
Omaha.Urban.Order.Summ$Count[is.na(Omaha.Urban.Order.Summ$Count)] <- 0
Omaha.Urban.Order.Summ$Frequency <- Omaha.Urban.Order.Summ$Count/sum(Omaha.Urban.Order.Summ$Count)

Phoenix.Urban.Order <- filter(Urban.Order, City_Name=="Phoenix")
Count <- tapply(Phoenix.Urban.Order$City_Name, Phoenix.Urban.Order$Sequence_EndC, FUN=length)
Phoenix.Urban.Order.Summ <- as.data.frame(Count)
Phoenix.Urban.Order.Summ$City_Name <- "Phoenix"
Phoenix.Urban.Order.Summ <- cbind(Sequence = rownames(Phoenix.Urban.Order.Summ), Phoenix.Urban.Order.Summ)
Phoenix.Urban.Order.Summ$Count[is.na(Phoenix.Urban.Order.Summ$Count)] <- 0
Phoenix.Urban.Order.Summ$Frequency <- Phoenix.Urban.Order.Summ$Count/sum(Phoenix.Urban.Order.Summ$Count)

Portland.Urban.Order <- filter(Urban.Order, City_Name=="Portland")
Count <- tapply(Portland.Urban.Order$City_Name, Portland.Urban.Order$Sequence_EndC, FUN=length)
Portland.Urban.Order.Summ <- as.data.frame(Count)
Portland.Urban.Order.Summ$City_Name <- "Portland"
Portland.Urban.Order.Summ <- cbind(Sequence = rownames(Portland.Urban.Order.Summ), Portland.Urban.Order.Summ)
Portland.Urban.Order.Summ$Count[is.na(Portland.Urban.Order.Summ$Count)] <- 0
Portland.Urban.Order.Summ$Frequency <- Portland.Urban.Order.Summ$Count/sum(Portland.Urban.Order.Summ$Count)

SanJuan.Urban.Order <- filter(Urban.Order, City_Name=="San Juan")
Count <- tapply(SanJuan.Urban.Order$City_Name, SanJuan.Urban.Order$Sequence_EndC, FUN=length)
SanJuan.Urban.Order.Summ <- as.data.frame(Count)
SanJuan.Urban.Order.Summ$City_Name <- "San Juan"
SanJuan.Urban.Order.Summ <- cbind(Sequence = rownames(SanJuan.Urban.Order.Summ), SanJuan.Urban.Order.Summ)
SanJuan.Urban.Order.Summ$Count[is.na(SanJuan.Urban.Order.Summ$Count)] <- 0
SanJuan.Urban.Order.Summ$Frequency <- SanJuan.Urban.Order.Summ$Count/sum(SanJuan.Urban.Order.Summ$Count)

Tacoma.Urban.Order <- filter(Urban.Order, City_Name=="Tacoma")
Count <- tapply(Tacoma.Urban.Order$City_Name, Tacoma.Urban.Order$Sequence_EndC, FUN=length)
Tacoma.Urban.Order.Summ <- as.data.frame(Count)
Tacoma.Urban.Order.Summ$City_Name <- "Tacoma"
Tacoma.Urban.Order.Summ <- cbind(Sequence = rownames(Tacoma.Urban.Order.Summ), Tacoma.Urban.Order.Summ)
Tacoma.Urban.Order.Summ$Count[is.na(Tacoma.Urban.Order.Summ$Count)] <- 0
Tacoma.Urban.Order.Summ$Frequency <- Tacoma.Urban.Order.Summ$Count/sum(Tacoma.Urban.Order.Summ$Count)

Urban.Order.Summ <- rbind(Atlanta.Urban.Order.Summ, Camden.Urban.Order.Summ, Cincinnati.Urban.Order.Summ, Cleveland.Urban.Order.Summ,
                            Detroit.Urban.Order.Summ, NewOrleans.Urban.Order.Summ, Omaha.Urban.Order.Summ, Phoenix.Urban.Order.Summ,
                            Portland.Urban.Order.Summ, SanJuan.Urban.Order.Summ, Tacoma.Urban.Order.Summ)

for (i in 1:length(Urban.Order.Summ$Distance)){
  if (Urban.Order.Summ$Sequence[i]=="ABCABC") {Urban.Order.Summ$Distance[i] <- "3"}
  if (Urban.Order.Summ$Sequence[i]=="ABCAC") {Urban.Order.Summ$Distance[i] <- "4"}
  if (Urban.Order.Summ$Sequence[i]=="ABCBC") {Urban.Order.Summ$Distance[i] <- "4"}
  if (Urban.Order.Summ$Sequence[i]=="ABABC") {Urban.Order.Summ$Distance[i] <- "2"}
  if (Urban.Order.Summ$Sequence[i]=="ABAC") {Urban.Order.Summ$Distance[i] <- "3"}
  if (Urban.Order.Summ$Sequence[i]=="ACABC") {Urban.Order.Summ$Distance[i] <- "2"}
  if (Urban.Order.Summ$Sequence[i]=="ACAC") {Urban.Order.Summ$Distance[i] <- "3"}
  if (Urban.Order.Summ$Sequence[i]=="ACBC") {Urban.Order.Summ$Distance[i] <- "3"}
  if (Urban.Order.Summ$Sequence[i]=="CABC") {Urban.Order.Summ$Distance[i] <- "1"}
  if (Urban.Order.Summ$Sequence[i]=="CAC") {Urban.Order.Summ$Distance[i] <- "2"}
  if (Urban.Order.Summ$Sequence[i]=="CBC") {Urban.Order.Summ$Distance[i] <- "2"}
  if (Urban.Order.Summ$Sequence[i]=="ABC") {Urban.Order.Summ$Distance[i] <- "0"}
  if (Urban.Order.Summ$Sequence[i]=="AC") {Urban.Order.Summ$Distance[i] <- "1"}
  if (Urban.Order.Summ$Sequence[i]=="C") {Urban.Order.Summ$Distance[i] <- "2"}
  if (Urban.Order.Summ$Sequence[i]=="CACBC") {Urban.Order.Summ$Distance[i] <- "4"}
  if (Urban.Order.Summ$Sequence[i]=="ACACAC") {Urban.Order.Summ$Distance[i] <- "5"}
  if (Urban.Order.Summ$Sequence[i]=="BC") {Urban.Order.Summ$Distance[i] <- "1"}
  if (Urban.Order.Summ$Sequence[i]=="CABCABC") {Urban.Order.Summ$Distance[i] <- "4"}
  if (Urban.Order.Summ$Sequence[i]=="CACAC") {Urban.Order.Summ$Distance[i] <- "4"}
  if (Urban.Order.Summ$Sequence[i]=="CACACAC") {Urban.Order.Summ$Distance[i] <- "6"}
  else {"undefined"}
}


Atlanta.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Atlanta")
Atlanta.Urban.2 <- aggregate(Atlanta.Urban.2$Frequency ~ Atlanta.Urban.2$Distance, Atlanta.Urban.2$SumFreq_City, sum)
names(Atlanta.Urban.2) <- c("Distance","SumFreq_City")
Atlanta.Urban.2$City_Name <- "Atlanta"
Atlanta.Urban.2$Type <- "Urban"

Camden.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Camden")
Camden.Urban.2 <- aggregate(Camden.Urban.2$Frequency ~ Camden.Urban.2$Distance, Camden.Urban.2$SumFreq_City, sum)
names(Camden.Urban.2) <- c("Distance","SumFreq_City")
Camden.Urban.2$City_Name <- "Camden"
Camden.Urban.2$Type <- "Urban"

Cleveland.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Cleveland")
Cleveland.Urban.2 <- aggregate(Cleveland.Urban.2$Frequency ~ Cleveland.Urban.2$Distance, Cleveland.Urban.2$SumFreq_City, sum)
names(Cleveland.Urban.2) <- c("Distance","SumFreq_City")
Cleveland.Urban.2$City_Name <- "Cleveland"
Cleveland.Urban.2$Type <- "Urban"

Cincinnati.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Cincinnati")
Cincinnati.Urban.2 <- aggregate(Cincinnati.Urban.2$Frequency ~ Cincinnati.Urban.2$Distance, Cincinnati.Urban.2$SumFreq_City, sum)
names(Cincinnati.Urban.2) <- c("Distance","SumFreq_City")
Cincinnati.Urban.2$City_Name <- "Cincinnati"
Cincinnati.Urban.2$Type <- "Urban"

Detroit.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Detroit")
Detroit.Urban.2 <- aggregate(Detroit.Urban.2$Frequency ~ Detroit.Urban.2$Distance, Detroit.Urban.2$SumFreq_City, sum)
names(Detroit.Urban.2) <- c("Distance","SumFreq_City")
Detroit.Urban.2$City_Name <- "Detroit"
Detroit.Urban.2$Type <- "Urban"

NewOrleans.Urban.2 <- filter(Urban.Order.Summ, City_Name=="New Orleans")
NewOrleans.Urban.2 <- aggregate(NewOrleans.Urban.2$Frequency ~ NewOrleans.Urban.2$Distance, NewOrleans.Urban.2$SumFreq_City, sum)
names(NewOrleans.Urban.2) <- c("Distance","SumFreq_City")
NewOrleans.Urban.2$City_Name <- "New Orleans"
NewOrleans.Urban.2$Type <- "Urban"

Omaha.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Omaha")
Omaha.Urban.2 <- aggregate(Omaha.Urban.2$Frequency ~ Omaha.Urban.2$Distance, Omaha.Urban.2$SumFreq_City, sum)
names(Omaha.Urban.2) <- c("Distance","SumFreq_City")
Omaha.Urban.2$City_Name <- "Omaha"
Omaha.Urban.2$Type <- "Urban"

Phoenix.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Phoenix")
Phoenix.Urban.2 <- aggregate(Phoenix.Urban.2$Frequency ~ Phoenix.Urban.2$Distance, Phoenix.Urban.2$SumFreq_City, sum)
names(Phoenix.Urban.2) <- c("Distance","SumFreq_City")
Phoenix.Urban.2$City_Name <- "Phoenix"
Phoenix.Urban.2$Type <- "Urban"

Portland.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Portland")
Portland.Urban.2 <- aggregate(Portland.Urban.2$Frequency ~ Portland.Urban.2$Distance, Portland.Urban.2$SumFreq_City, sum)
names(Portland.Urban.2) <- c("Distance","SumFreq_City")
Portland.Urban.2$City_Name <- "Portland"
Portland.Urban.2$Type <- "Urban"

SanJuan.Urban.2 <- filter(Urban.Order.Summ, City_Name=="San Juan")
SanJuan.Urban.2 <- aggregate(SanJuan.Urban.2$Frequency ~ SanJuan.Urban.2$Distance, SanJuan.Urban.2$SumFreq_City, sum)
names(SanJuan.Urban.2) <- c("Distance","SumFreq_City")
SanJuan.Urban.2$City_Name <- "San Juan"
SanJuan.Urban.2$Type <- "Urban"

Tacoma.Urban.2 <- filter(Urban.Order.Summ, City_Name=="Tacoma")
Tacoma.Urban.2 <- aggregate(Tacoma.Urban.2$Frequency ~ Tacoma.Urban.2$Distance, Tacoma.Urban.2$SumFreq_City, sum)
names(Tacoma.Urban.2) <- c("Distance","SumFreq_City")
Tacoma.Urban.2$City_Name <- "Tacoma"
Tacoma.Urban.2$Type <- "Urban"


Urban.Order.2 <- rbind(Atlanta.Urban.2, Camden.Urban.2, Cincinnati.Urban.2, Cleveland.Urban.2,
                          Detroit.Urban.2, NewOrleans.Urban.2, Omaha.Urban.2, Phoenix.Urban.2,
                          Portland.Urban.2, SanJuan.Urban.2, Tacoma.Urban.2)



Urban.Order.2$PercSeq_ByCity <- Urban.Order.2$SumFreq_City*100

## Reference

Atlanta.Reference.Order <- filter(Reference.Order, City_Name=="Atlanta")
Count <- tapply(Atlanta.Reference.Order$City_Name, Atlanta.Reference.Order$Sequence_EndC, FUN=length)
Atlanta.Reference.Order.Summ <- as.data.frame(Count)
Atlanta.Reference.Order.Summ$City_Name <- "Atlanta"
Atlanta.Reference.Order.Summ <- cbind(Sequence = rownames(Atlanta.Reference.Order.Summ), Atlanta.Reference.Order.Summ)
Atlanta.Reference.Order.Summ$Count[is.na(Atlanta.Reference.Order.Summ$Count)] <- 0
Atlanta.Reference.Order.Summ$Frequency <- Atlanta.Reference.Order.Summ$Count/sum(Atlanta.Reference.Order.Summ$Count)

Camden.Reference.Order <- filter(Reference.Order, City_Name=="Camden")
Count <- tapply(Camden.Reference.Order$City_Name, Camden.Reference.Order$Sequence_EndC, FUN=length)
Camden.Reference.Order.Summ <- as.data.frame(Count)
Camden.Reference.Order.Summ$City_Name <- "Camden"
Camden.Reference.Order.Summ <- cbind(Sequence = rownames(Camden.Reference.Order.Summ), Camden.Reference.Order.Summ)
Camden.Reference.Order.Summ$Count[is.na(Camden.Reference.Order.Summ$Count)] <- 0
Camden.Reference.Order.Summ$Frequency <- Camden.Reference.Order.Summ$Count/sum(Camden.Reference.Order.Summ$Count)

Cincinnati.Reference.Order <- filter(Reference.Order, City_Name=="Cincinnati")
Count <- tapply(Cincinnati.Reference.Order$City_Name, Cincinnati.Reference.Order$Sequence_EndC, FUN=length)
Cincinnati.Reference.Order.Summ <- as.data.frame(Count)
Cincinnati.Reference.Order.Summ$City_Name <- "Cincinnati"
Cincinnati.Reference.Order.Summ <- cbind(Sequence = rownames(Cincinnati.Reference.Order.Summ), Cincinnati.Reference.Order.Summ)
Cincinnati.Reference.Order.Summ$Count[is.na(Cincinnati.Reference.Order.Summ$Count)] <- 0
Cincinnati.Reference.Order.Summ$Frequency <- Cincinnati.Reference.Order.Summ$Count/sum(Cincinnati.Reference.Order.Summ$Count)

Cleveland.Reference.Order <- filter(Reference.Order, City_Name=="Cleveland")
Count <- tapply(Cleveland.Reference.Order$City_Name, Cleveland.Reference.Order$Sequence_EndC, FUN=length)
Cleveland.Reference.Order.Summ <- as.data.frame(Count)
Cleveland.Reference.Order.Summ$City_Name <- "Cleveland"
Cleveland.Reference.Order.Summ <- cbind(Sequence = rownames(Cleveland.Reference.Order.Summ), Cleveland.Reference.Order.Summ)
Cleveland.Reference.Order.Summ$Count[is.na(Cleveland.Reference.Order.Summ$Count)] <- 0
Cleveland.Reference.Order.Summ$Frequency <- Cleveland.Reference.Order.Summ$Count/sum(Cleveland.Reference.Order.Summ$Count)

Detroit.Reference.Order <- filter(Reference.Order, City_Name=="Detroit")
Count <- tapply(Detroit.Reference.Order$City_Name, Detroit.Reference.Order$Sequence_EndC, FUN=length)
Detroit.Reference.Order.Summ <- as.data.frame(Count)
Detroit.Reference.Order.Summ$City_Name <- "Detroit"
Detroit.Reference.Order.Summ <- cbind(Sequence = rownames(Detroit.Reference.Order.Summ), Detroit.Reference.Order.Summ)
Detroit.Reference.Order.Summ$Count[is.na(Detroit.Reference.Order.Summ$Count)] <- 0
Detroit.Reference.Order.Summ$Frequency <- Detroit.Reference.Order.Summ$Count/sum(Detroit.Reference.Order.Summ$Count)

NewOrleans.Reference.Order <- filter(Reference.Order, City_Name=="New Orleans")
Count <- tapply(NewOrleans.Reference.Order$City_Name, NewOrleans.Reference.Order$Sequence_EndC, FUN=length)
NewOrleans.Reference.Order.Summ <- as.data.frame(Count)
NewOrleans.Reference.Order.Summ$City_Name <- "New Orleans"
NewOrleans.Reference.Order.Summ <- cbind(Sequence = rownames(NewOrleans.Reference.Order.Summ), NewOrleans.Reference.Order.Summ)
NewOrleans.Reference.Order.Summ$Count[is.na(NewOrleans.Reference.Order.Summ$Count)] <- 0
NewOrleans.Reference.Order.Summ$Frequency <- NewOrleans.Reference.Order.Summ$Count/sum(NewOrleans.Reference.Order.Summ$Count)

Omaha.Reference.Order <- filter(Reference.Order, City_Name=="Omaha")
Count <- tapply(Omaha.Reference.Order$City_Name, Omaha.Reference.Order$Sequence_EndC, FUN=length)
Omaha.Reference.Order.Summ <- as.data.frame(Count)
Omaha.Reference.Order.Summ$City_Name <- "Omaha"
Omaha.Reference.Order.Summ <- cbind(Sequence = rownames(Omaha.Reference.Order.Summ), Omaha.Reference.Order.Summ)
Omaha.Reference.Order.Summ$Count[is.na(Omaha.Reference.Order.Summ$Count)] <- 0
Omaha.Reference.Order.Summ$Frequency <- Omaha.Reference.Order.Summ$Count/sum(Omaha.Reference.Order.Summ$Count)

Phoenix.Reference.Order <- filter(Reference.Order, City_Name=="Phoenix")
Count <- tapply(Phoenix.Reference.Order$City_Name, Phoenix.Reference.Order$Sequence_EndC, FUN=length)
Phoenix.Reference.Order.Summ <- as.data.frame(Count)
Phoenix.Reference.Order.Summ$City_Name <- "Phoenix"
Phoenix.Reference.Order.Summ <- cbind(Sequence = rownames(Phoenix.Reference.Order.Summ), Phoenix.Reference.Order.Summ)
Phoenix.Reference.Order.Summ$Count[is.na(Phoenix.Reference.Order.Summ$Count)] <- 0
Phoenix.Reference.Order.Summ$Frequency <- Phoenix.Reference.Order.Summ$Count/sum(Phoenix.Reference.Order.Summ$Count)

Portland.Reference.Order <- filter(Reference.Order, City_Name=="Portland")
Count <- tapply(Portland.Reference.Order$City_Name, Portland.Reference.Order$Sequence_EndC, FUN=length)
Portland.Reference.Order.Summ <- as.data.frame(Count)
Portland.Reference.Order.Summ$City_Name <- "Portland"
Portland.Reference.Order.Summ <- cbind(Sequence = rownames(Portland.Reference.Order.Summ), Portland.Reference.Order.Summ)
Portland.Reference.Order.Summ$Count[is.na(Portland.Reference.Order.Summ$Count)] <- 0
Portland.Reference.Order.Summ$Frequency <- Portland.Reference.Order.Summ$Count/sum(Portland.Reference.Order.Summ$Count)

SanJuan.Reference.Order <- filter(Reference.Order, City_Name=="San Juan")
Count <- tapply(SanJuan.Reference.Order$City_Name, SanJuan.Reference.Order$Sequence_EndC, FUN=length)
SanJuan.Reference.Order.Summ <- as.data.frame(Count)
SanJuan.Reference.Order.Summ$City_Name <- "San Juan"
SanJuan.Reference.Order.Summ <- cbind(Sequence = rownames(SanJuan.Reference.Order.Summ), SanJuan.Reference.Order.Summ)
SanJuan.Reference.Order.Summ$Count[is.na(SanJuan.Reference.Order.Summ$Count)] <- 0
SanJuan.Reference.Order.Summ$Frequency <- SanJuan.Reference.Order.Summ$Count/sum(SanJuan.Reference.Order.Summ$Count)

Tacoma.Reference.Order <- filter(Reference.Order, City_Name=="Tacoma")
Count <- tapply(Tacoma.Reference.Order$City_Name, Tacoma.Reference.Order$Sequence_EndC, FUN=length)
Tacoma.Reference.Order.Summ <- as.data.frame(Count)
Tacoma.Reference.Order.Summ$City_Name <- "Tacoma"
Tacoma.Reference.Order.Summ <- cbind(Sequence = rownames(Tacoma.Reference.Order.Summ), Tacoma.Reference.Order.Summ)
Tacoma.Reference.Order.Summ$Count[is.na(Tacoma.Reference.Order.Summ$Count)] <- 0
Tacoma.Reference.Order.Summ$Frequency <- Tacoma.Reference.Order.Summ$Count/sum(Tacoma.Reference.Order.Summ$Count)

Reference.Order.Summ <- rbind(Atlanta.Reference.Order.Summ, Camden.Reference.Order.Summ, Cincinnati.Reference.Order.Summ, Cleveland.Reference.Order.Summ,
                          Detroit.Reference.Order.Summ, NewOrleans.Reference.Order.Summ, Omaha.Reference.Order.Summ, Phoenix.Reference.Order.Summ,
                          Portland.Reference.Order.Summ, SanJuan.Reference.Order.Summ, Tacoma.Reference.Order.Summ)

for (i in 1:length(Reference.Order.Summ$Distance)){
  if (Reference.Order.Summ$Sequence[i]=="ABCABC") {Reference.Order.Summ$Distance[i] <- "3"}
  if (Reference.Order.Summ$Sequence[i]=="ABCAC") {Reference.Order.Summ$Distance[i] <- "4"}
  if (Reference.Order.Summ$Sequence[i]=="ABCBC") {Reference.Order.Summ$Distance[i] <- "4"}
  if (Reference.Order.Summ$Sequence[i]=="ABABC") {Reference.Order.Summ$Distance[i] <- "2"}
  if (Reference.Order.Summ$Sequence[i]=="ABAC") {Reference.Order.Summ$Distance[i] <- "3"}
  if (Reference.Order.Summ$Sequence[i]=="ACABC") {Reference.Order.Summ$Distance[i] <- "2"}
  if (Reference.Order.Summ$Sequence[i]=="ACAC") {Reference.Order.Summ$Distance[i] <- "3"}
  if (Reference.Order.Summ$Sequence[i]=="ACBC") {Reference.Order.Summ$Distance[i] <- "3"}
  if (Reference.Order.Summ$Sequence[i]=="CABC") {Reference.Order.Summ$Distance[i] <- "1"}
  if (Reference.Order.Summ$Sequence[i]=="CAC") {Reference.Order.Summ$Distance[i] <- "2"}
  if (Reference.Order.Summ$Sequence[i]=="CBC") {Reference.Order.Summ$Distance[i] <- "2"}
  if (Reference.Order.Summ$Sequence[i]=="ABC") {Reference.Order.Summ$Distance[i] <- "0"}
  if (Reference.Order.Summ$Sequence[i]=="AC") {Reference.Order.Summ$Distance[i] <- "1"}
  if (Reference.Order.Summ$Sequence[i]=="C") {Reference.Order.Summ$Distance[i] <- "2"}
  if (Reference.Order.Summ$Sequence[i]=="CACBC") {Reference.Order.Summ$Distance[i] <- "4"}
  if (Reference.Order.Summ$Sequence[i]=="ACACAC") {Reference.Order.Summ$Distance[i] <- "5"}
  if (Reference.Order.Summ$Sequence[i]=="BC") {Reference.Order.Summ$Distance[i] <- "1"}
  if (Reference.Order.Summ$Sequence[i]=="CABCABC") {Reference.Order.Summ$Distance[i] <- "4"}
  if (Reference.Order.Summ$Sequence[i]=="CACAC") {Reference.Order.Summ$Distance[i] <- "4"}
  if (Reference.Order.Summ$Sequence[i]=="CACACAC") {Reference.Order.Summ$Distance[i] <- "6"}
  else {"undefined"}
}


Atlanta.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Atlanta")
Atlanta.Reference.2 <- aggregate(Atlanta.Reference.2$Frequency ~ Atlanta.Reference.2$Distance, Atlanta.Reference.2$SumFreq_City, sum)
names(Atlanta.Reference.2) <- c("Distance","SumFreq_City")
Atlanta.Reference.2$City_Name <- "Atlanta"
Atlanta.Reference.2$Type <- "Reference"

Camden.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Camden")
Camden.Reference.2 <- aggregate(Camden.Reference.2$Frequency ~ Camden.Reference.2$Distance, Camden.Reference.2$SumFreq_City, sum)
names(Camden.Reference.2) <- c("Distance","SumFreq_City")
Camden.Reference.2$City_Name <- "Camden"
Camden.Reference.2$Type <- "Reference"

Cleveland.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Cleveland")
Cleveland.Reference.2 <- aggregate(Cleveland.Reference.2$Frequency ~ Cleveland.Reference.2$Distance, Cleveland.Reference.2$SumFreq_City, sum)
names(Cleveland.Reference.2) <- c("Distance","SumFreq_City")
Cleveland.Reference.2$City_Name <- "Cleveland"
Cleveland.Reference.2$Type <- "Reference"

Cincinnati.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Cincinnati")
Cincinnati.Reference.2 <- aggregate(Cincinnati.Reference.2$Frequency ~ Cincinnati.Reference.2$Distance, Cincinnati.Reference.2$SumFreq_City, sum)
names(Cincinnati.Reference.2) <- c("Distance","SumFreq_City")
Cincinnati.Reference.2$City_Name <- "Cincinnati"
Cincinnati.Reference.2$Type <- "Reference"

Detroit.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Detroit")
Detroit.Reference.2 <- aggregate(Detroit.Reference.2$Frequency ~ Detroit.Reference.2$Distance, Detroit.Reference.2$SumFreq_City, sum)
names(Detroit.Reference.2) <- c("Distance","SumFreq_City")
Detroit.Reference.2$City_Name <- "Detroit"
Detroit.Reference.2$Type <- "Reference"

NewOrleans.Reference.2 <- filter(Reference.Order.Summ, City_Name=="New Orleans")
NewOrleans.Reference.2 <- aggregate(NewOrleans.Reference.2$Frequency ~ NewOrleans.Reference.2$Distance, NewOrleans.Reference.2$SumFreq_City, sum)
names(NewOrleans.Reference.2) <- c("Distance","SumFreq_City")
NewOrleans.Reference.2$City_Name <- "New Orleans"
NewOrleans.Reference.2$Type <- "Reference"

Omaha.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Omaha")
Omaha.Reference.2 <- aggregate(Omaha.Reference.2$Frequency ~ Omaha.Reference.2$Distance, Omaha.Reference.2$SumFreq_City, sum)
names(Omaha.Reference.2) <- c("Distance","SumFreq_City")
Omaha.Reference.2$City_Name <- "Omaha"
Omaha.Reference.2$Type <- "Reference"

Phoenix.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Phoenix")
Phoenix.Reference.2 <- aggregate(Phoenix.Reference.2$Frequency ~ Phoenix.Reference.2$Distance, Phoenix.Reference.2$SumFreq_City, sum)
names(Phoenix.Reference.2) <- c("Distance","SumFreq_City")
Phoenix.Reference.2$City_Name <- "Phoenix"
Phoenix.Reference.2$Type <- "Reference"

Portland.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Portland")
Portland.Reference.2 <- aggregate(Portland.Reference.2$Frequency ~ Portland.Reference.2$Distance, Portland.Reference.2$SumFreq_City, sum)
names(Portland.Reference.2) <- c("Distance","SumFreq_City")
Portland.Reference.2$City_Name <- "Portland"
Portland.Reference.2$Type <- "Reference"

SanJuan.Reference.2 <- filter(Reference.Order.Summ, City_Name=="San Juan")
SanJuan.Reference.2 <- aggregate(SanJuan.Reference.2$Frequency ~ SanJuan.Reference.2$Distance, SanJuan.Reference.2$SumFreq_City, sum)
names(SanJuan.Reference.2) <- c("Distance","SumFreq_City")
SanJuan.Reference.2$City_Name <- "San Juan"
SanJuan.Reference.2$Type <- "Reference"

Tacoma.Reference.2 <- filter(Reference.Order.Summ, City_Name=="Tacoma")
Tacoma.Reference.2 <- aggregate(Tacoma.Reference.2$Frequency ~ Tacoma.Reference.2$Distance, Tacoma.Reference.2$SumFreq_City, sum)
names(Tacoma.Reference.2) <- c("Distance","SumFreq_City")
Tacoma.Reference.2$City_Name <- "Tacoma"
Tacoma.Reference.2$Type <- "Reference"


Reference.Order.2 <- rbind(Atlanta.Reference.2, Camden.Reference.2, Cincinnati.Reference.2, Cleveland.Reference.2,
                       Detroit.Reference.2, NewOrleans.Reference.2, Omaha.Reference.2, Phoenix.Reference.2,
                       Portland.Reference.2, SanJuan.Reference.2, Tacoma.Reference.2)



Reference.Order.2$PercSeq_ByCity <- Reference.Order.2$SumFreq_City*100


## Stacked bar chart

## Get city level means for frequency by distance

tapply(Urban.Order.2$PercSeq_ByCity, Urban.Order.2$Distance, FUN=mean)
tapply(Urban.Order.2$PercSeq_ByCity, Urban.Order.2$Distance, FUN=sd)
tapply(Reference.Order.2$PercSeq_ByCity, Reference.Order.2$Distance, FUN=mean)
tapply(Reference.Order.2$PercSeq_ByCity, Reference.Order.2$Distance, FUN=sd)
#Construct table from above output and import
Distance_Mean_Var <- read.csv("//Aa.ad.epa.gov/ord/CIN/Users/main/A-E/dherrman/Net MyDocuments/_MovedData/R Project Directory/MultiCity Soil/Distance_Mean_Var.csv")
Distance_Mean_Var$upperse <- Distance_Mean_Var$Perc_Dist_Occur_Mean + Distance_Mean_Var$Perc_Dist_Occur_SE
Distance_Mean_Var$lowerse <- Distance_Mean_Var$Perc_Dist_Occur_Mean - Distance_Mean_Var$Perc_Dist_Occur_SE

Distance_Mean_Var$Distance <- as.character(Distance_Mean_Var$Distance)
Distance_Mean_Var$Type <- as.character(Distance_Mean_Var$Type)

Dist.Bar <- ggplot(Distance_Mean_Var, aes(x=Distance,
                                          y=Perc_Dist_Occur_Mean,
                                          ymin=lowerse,
                                          ymax=upperse,
                                          fill=Type)) +
  geom_bar(position=position_dodge(), aes(y=Perc_Dist_Occur_Mean), color="black",stat="identity")+
  geom_errorbar(position=position_dodge(width=0.9), colour="black", width=0.1)+
  labs(x="Distance from A-B-C", y="Occurrence (%)")+
  theme_bw()+
  scale_y_continuous(limits=c(0,100),
                     breaks=c(0,25,50,75,100))+
  scale_fill_manual(values = c("white","grey"))+
  #scale_x_discrete(limits=c("0","1","2","3","4"))+
  theme(axis.line = element_line(colour = "black"),
        axis.text = element_text(size = 12),
        text=element_text(size=12),
        panel.grid.major = element_blank(), panel.grid.minor = element_blank(),
        panel.background = element_blank(), 
        title=element_text(color="black"), 
        axis.title=element_text(color="black"), 
        legend.text = element_text(size = 12),
        legend.position=c(0.8,0.8),
        legend.title=element_blank())

tiff("Distance_BarChart.tif", res=300, compression = "lzw", height=3, width=4, units="in")
Dist.Bar
dev.off()


## Get city level means for frequency by sequence

tapply(Urban.Order.Summ$Frequency, Urban.Order.Summ$Sequence, FUN=mean)
tapply(Urban.Order.Summ$Frequency, Urban.Order.Summ$Sequence, FUN=sd)

tapply(Reference.Order.Summ$Frequency, Reference.Order.Summ$Sequence, FUN=mean)
tapply(Reference.Order.Summ$Frequency, Reference.Order.Summ$Sequence, FUN=sd)

#Construct table from above output and import
Sequence_Mean_Var <- read.csv("//Aa.ad.epa.gov/ord/CIN/Users/main/A-E/dherrman/Net MyDocuments/_MovedData/R Project Directory/MultiCity Soil/Distance_Mean_Var.csv")
Sequence_Mean_Var$upperse <- Sequence_Mean_Var$Perc_Seq_Occur_Mean + Sequence_Mean_Var$Perc_Seq_Occur_SE
Sequence_Mean_Var$lowerse <- Sequence_Mean_Var$Perc_Seq_Occur_Mean - Sequence_Mean_Var$Perc_Seq_Occur_SE

#Distance_Mean_Var$Distance <- as.character(Distance_Mean_Var$Distance)
#Distance_Mean_Var$Type <- as.character(Distance_Mean_Var$Type)

Sequence_Mean_Var$Sequence <- ordered(Sequence_Mean_Var$Sequence, levels = c("ABC","AC","CABC",
                                                                             "C","CBC","CAC","ACABC","ABABC",
                                                                             "ACBC","ACAC","ABAC","ABCABC",
                                                                             "ABCAC","ABCBC"))

Dist.Bar <- ggplot(Distance_Mean_Var, aes(x=Distance,
                                          y=Perc_Dist_Occur_Mean,
                                          ymin=lowerse,
                                          ymax=upperse,
                                          fill=Type)) +
  geom_bar(position=position_dodge(), aes(y=Perc_Dist_Occur_Mean), stat="identity"
  )+
  geom_errorbar(position=position_dodge(width=0.9), colour="black", width=0.2)+
  labs(x="Distance from A-B-C", y="Occurrence (%)")+
  theme_bw()+
  scale_y_continuous(limits=c(0,100),
                     breaks=c(0,25,50,75,100))+
  theme(axis.line = element_line(colour = "black"),
        axis.text = element_text(size = 12),
        text=element_text(size=12),
        panel.grid.major = element_blank(), panel.grid.minor = element_blank(),
        panel.background = element_blank(), 
        title=element_text(color="black"), 
        axis.title=element_text(color="black"), 
        legend.text = element_text(size = 12),
        legend.position=c(0.8,0.8),
        legend.title=element_blank())

tiff("Distance_BarChart.tif", res=300, compression = "lzw", height=3, width=4, units="in")
Dist.Bar
dev.off()



##Combined Reference and Urban

Combined.Order.2 <- rbind(Reference.Order.2, Urban.Order.2)
data <- Combined.Order.2
data$Occurrence <- data$PercSeq_ByCity

Distance.0 <- filter(data, Distance == 0)
Distance.1 <- filter(data, Distance == 1)
Distance.2 <- filter(data, Distance == 2)
Distance.3 <- filter(data, Distance == 3)
Distance.4 <- filter(data, Distance == 4)
Distance.5 <- filter(data, Distance == 5)
Distance.6 <- filter(data, Distance == 6)

# Perform Two Way AOV on full data
global.aov <- anova(lm(Occurrence ~ Distance*Type, data=data))
# Perform One Way AOVs on data grouped by distance
prot.aov.D0 <- anova(lm(Occurrence ~ Type, data=Distance.0))
prot.aov.D1 <- anova(lm(Occurrence ~ Type, data=Distance.1))
prot.aov.D2 <- anova(lm(Occurrence ~ Type, data=Distance.2))
prot.aov.D3 <- anova(lm(Occurrence ~ Type, data=Distance.3))
prot.aov.D4 <- anova(lm(Occurrence ~ Type, data=Distance.4))
prot.aov.D5 <- anova(lm(Occurrence ~ Type, data=Distance.5))
prot.aov.D6 <- anova(lm(Occurrence ~ Type, data=Distance.6))


Combined.Dist.Bar <- ggplot(data = Combined.Order.2,
                         aes(x = Distance, y = PercSeq_ByCity,
                             color=factor(Type))) + 
  geom_boxplot()

## Urban minus Reference


# Plot Urban minus reference

Cbind.Dist.Box <- ggplot(data = Cbind.Order.2,
                            aes(x = Distance, y = Perc_Diff,
                                )) + 
  geom_boxplot()


## Model urban minus rural percent sequence difference

#Remove duplicated columns
Cbind.Order.2 <- Cbind.Order.2[, !duplicated(colnames(Cbind.Order.2))]

#Make sure distance is numeric and not character
Cbind.Order.2$Distance <- as.numeric(Cbind.Order.2$Distance)
summary(Cbind.Order.2)

#Run model
dist.model <- lm(Perc_Diff ~ poly(Distance,3), Cbind.Order.2)
summary(dist.model)

# Plot of fitted vs residuals
# No clear pattern should show in the residual plot if the model is a good fit
plot(fitted(dist.model),residuals(dist.model))

preddat <- with(Cbind.Order.2, data.frame(Distance=seq(min(0),max(6),length=50)))

# Create predicted probabilities and 95% confidence intervals
preds <- cbind(preddat,
               predict(dist.model,
                       data.frame(Distance=seq(min(0),max(6),length=50)),
                       interval="confidence",
                       level=0.95)
)


# Create the plot

dist.model.plot <- ggplot(preds, aes(x = Distance, y = fit)) +
  geom_ribbon(aes(ymin = lwr,
                  ymax = upr),
              alpha = 1/3) +
  geom_line() +
  labs(y="Difference in Cumulative Horizonation", x="Depth (cm)")+
  #theme(legend.position="none")+
  theme_bw()+
  scale_y_continuous(limits=c(-100, 75),
                     breaks=c(-100,-75, -50, -25, 0, 25, 50, 75))+
  scale_x_continuous(limits=c(-0.5,6.5),
                    breaks=c(0,1,2,3,4,5,6),
                   labels=c("0","1","2","3","4","5","6")) +
  #scale_x_reverse(limits=c(150,-1))+
  theme(axis.line = element_line(colour = "black"),
        axis.text = element_text(size = 16),
        text=element_text(size=16),
        panel.grid.major = element_blank(), panel.grid.minor = element_blank(),
        panel.background = element_blank(), 
        title=element_text(color="black"), 
        axis.title=element_text(color="black"), 
        legend.text = element_text(size = 16))+
  #coord_flip()+
 
    geom_boxplot(data=Cbind.Order.2,
            aes(x=Distance,y=Perc_Diff, group=Distance),
            alpha = 1/6,
            show.legend = F
  )



tiff("Distance_Plot.tif", res=300, compression = "lzw", height=4, width=5, units="in")
Model.Plot
dev.off()




